import java.io.*;
import java.util.*;
import java.text.SimpleDateFormat;
import sagex.remote.rmi.*;
import sagex.SageAPI ;
import static groovy.io.FileType.*;
import sagex.api.*;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import org.apache.commons.io.FileUtils;

private RMISageAPI parseRmiSetting(String system) {
    String host, port;
    host = system ;
    port = "1098";
    return new RMISageAPI(host, Integer.parseInt(port));
}

// Variables
String sageSystem = "htpc-LR" ;
String watchedFolder = "\\\\TOWER\\SPECIALS\\98-WATCHED\\" ;

// Start of program Main code
RMISageAPI api = parseRmiSetting(sageSystem);
  if(api != null) {
    SageAPI.setProvider(api);
    System.err.          println("# sagex-services manually set to '" + api.toString() + "'");
  } 

for( mfAiring in MediaFileAPI.GetMediaFiles("V") ) {
     if ( MediaFileAPI.GetFileForSegment(mfAiring,0).toString().toUpperCase().contains(watchedFolder.toUpperCase() ) && !AiringAPI.IsWatched(mfAiring) ) {
          AiringAPI.SetWatched(mfAiring) ;
          println ( MediaFileAPI.GetFileForSegment(mfAiring,0).toString() + " should be Watched now. " ) ;
     }
}

println ("***************") ;
println ("***** END *****") ;
println ("***************") ;

     